/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.DNC;

/** 
 * @author TogetherSoft
 * @stereotype place */
public class Place {
    public int assessAcrossRoles() {
        return -1;
    }

    public void getCustomElseDefaultValue() {
    }

    public int listRoles() {
        return -1;
    }

    /**  */
    public static void listPlaces() {
    }

    public static int assessAcrossPlaces() {
        return -1;
    }

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 1
     */
    private PlaceRole lnkUnnamed;
    private int serialNumber;
    private int name;
    private int address;
    private int customValue;
}


